import Component from '../../component.js'
import CoUxListItem from './ux-list-item.js';

export default class CoUxListItems extends Component {
    constructor(parent) {
      let selector = 'ux-list-items';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/ux-list-item/ux-list-items.component.ts
    }
    get listItemsDataUl() {
      let path = '//ul[@data-e2e="ux-list-items"]';
      return this.currentPath + path;
    }
    get listTitle() {
      let path = '/ancestor-or-self::ux-list-items[1]//div[contains(@class,"ux-list-items-title")]';
      return this.listItemsDataUl + path;
    }
    get listItemCO() {
      return new CoUxListItem(this.listItemsDataUl);
    }
}


